package mwsystem;

public class AverageObserver implements Observer
{
	private int anz = 0;
	private int cnt = 0;
	private float[] blk = null;
	private PubDataRecorder pdr = null;
	
	
	public AverageObserver(PubDataRecorder rec, int len)
	{
		this.pdr = rec;
		anz = len;
	}
	
	public void update(Publisher pub)
	{
		cnt++;
		
		if (cnt == anz)
		{
			System.out.println("Mittelwert: " + compAverage());
			cnt = 0;
		}
	}
	
	private float compAverage()
	{
		float summe = 0;
		blk = pdr.getBlock(anz);
		
		for(int i = 0; i<anz; i++)
		{
			summe = summe + blk[i];
		}
	
		return summe/anz;
	}
}
