package mwsystem;

public class DataRecorder
{
	private float mwarr[] = null;
	private int asize = 0;
	private int aktrp = 0;
	
	public DataRecorder(int anz)
	{
		mwarr = new float[anz];
		asize = anz;
		aktrp = 0;
	}
	
	public void record(float mw)
	{
		if(aktrp == asize)
		{
			aktrp = 0;

		}
		mwarr[aktrp] = mw;
		aktrp++;
	}	
	
	public float getLast()
	{
		if(aktrp == 0)
		{
			return mwarr[asize-1];
		}
		else
		{
			return mwarr[aktrp-1];
		}
	}
	
	public float[] getBlock(int anz)
	{
		float tempArray[] = new float[anz];
		int counter = aktrp-1;
		
		for(int i = 0; i < anz; i++)
		{
			tempArray[i] = mwarr[counter];
			
			counter--;
			
			if(counter < 0)
			{
				counter = asize - 1;
			}
		}
		
		return tempArray;
	}
}
