package mwsystem;

public class MaxLimitObserver implements Observer
{
	private float limit;
	private PubDataRecorder pdr = null;
	
	public MaxLimitObserver(PubDataRecorder rec, float grenz)
	{
		limit = grenz;
		this.pdr = rec;
	}
	
	public void update(Publisher pub)
	{	
		if(pdr.getLast() > limit)
		{
			System.out.println("Langsam Cowboy! Grenzwertueberschreitung beim Wert " + pdr.getLast());
		}
	}
}