package mwsystem;

public class PubDataRecorder extends Publisher
{
	private DataRecorder dr = null;
	
	
	public PubDataRecorder(DataRecorder rec)
	{
		this.dr = rec;
	}
	
	public void record(float mw)
	{
		dr.record(mw);
		inform();
	}
	
	public float getLast()
	{
		return dr.getLast();
	}
	
	public float[] getBlock(int anz)
	{
		return dr.getBlock(anz);
	}
}
