package mwsystem;

import java.util.Vector;


public class Publisher
{
	private Vector <Observer> lobs = null;
	
	
	public Publisher()
	{
		lobs = new Vector<Observer>();
	}
	
	public void attach(Observer no)
	{		
		lobs.add((Observer) no);
	}
	
	public void detach(Observer no)
	{
		lobs.remove(no);
	}
	
	public void inform()
	{
		for(int i=0;i<lobs.size();i++)
		{
			lobs.get(i).update(this);
		}
	}
		

}
